## org.omg.CORBA
Interface StringDefOperations

All Superinterfaces:
  IDLTypeOperations, IRObjectOperations

All Known Subinterfaces:
  StringDef

All Known Implementing Classes:
  StringDefPOA

public interface StringDefOperations
extends IDLTypeOperations

A StringDef represents an IDL bounded string type. The unbounded string type is represented as a PrimitiveDef. As string types are anonymous, this interface is not derived from TypedefDef or Contained.

Method Summary
`int` `bound()` The bound attribute specifies the maximum number of characters in the string and must not be zero.
`void` `bound(int value)` The bound attribute specifies the maximum number of characters in the string and must not be zero.

Methods inherited from interface org.omg.CORBA.IDLTypeOperations
`type`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Method Detail

### bound

    public int bound()

  The bound attribute specifies the maximum number of characters in the string and must not be zero.

### bound

    public void bound(int value)

  The bound attribute specifies the maximum number of characters in the string and must not be zero.